Rails.application.routes.draw do
  locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
    namespace :admin do
      get 'activities/download_excel_format' => 'activities#download_excel_format'
      post 'activities/import_from_excel' => 'activities#import_from_excel'

      resources :activities do
        collection do
        #  post 'merge_process' => 'books#merge_process'
        #  get 'merge' => 'books#merge'
        #  get 'toggle_hide' => 'books#toggle_hide'
          get 'analysis'
          get 'analysis_report'
          get 'download_excel'
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :activities, :only => [:new]
          end
        end
      end
    end
  end
end
